Bug 880637 - [rhevm-upgrade] upgrade should be in tech-preview mode for 3.1 GA
[rhevm-upgrade] upgrade should be in tech-preview mode for 3.1 GA
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-setup (Show other bugs)
3.1.0
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 3.1.0
Assigned To: Alon Bar-Lev
Pavel Stehlik
integration
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-11-27 08:29 EST by Moran Goldboim
Modified: 2015-09-22 09 EDT (History)
9 users (show)

See Also:
Fixed In Version: si24.5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-04 15:01:46 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Moran Goldboim 2012-11-27 08:29:16 EST
Description of problem:
upgrade should be in tech-preview mode for 3.1 GA
once an 3.0 -> 3.1 upgrade path is detected and no --force-upgrade flag was given, the upgrade should exit with: "This upgrade flow isn't supported feature for this version, if you would like to expiriance it in tech preview mode please run with --force-upgrade flag"

in-case --force-upgrade flag is in
the massage - "this upgrade flow is a tech preview and not supported in this version, are you sure you would like to continue" will appear.
Version-Release number of selected component (if applicable):
Comment 1 Moran Goldboim 2012-11-27 09:40:30 EST
warning text formatted by gss:

The RHEV 3.0 to 3.1 upgrade process is a Technology Preview at this time
and is not supported for use with production environments.

If you would like to test upgrades in a non-production environment
please rerun with the --force-upgrade flag. Please note that a failed
upgrade may leave your environment unstable or impacted.

Please review this article for the Technology Preview support policy:
https://access.redhat.com/knowledge/solutions/21101."
Comment 2 Alon Bar-Lev 2012-11-27 09:49:00 EST
commit af9fa67c625e6ea3ce7ff143aa3787ab6e79cdbd
Author: Alon Bar-Lev <alonbl@redhat.com>
Date:   Tue Nov 27 16:45:31 2012 +0200

    packaging: upgrade should be in tech-preview mode for 3.1 GA
    
    Add --force-upgrade parameter for 3.0->3.1 upgrade.
    
    Change-Id: Id221a9fbb4f906b43fe8fac79a887b5494b010fe
    Bug-Url: https://bugzilla.redhat.com/show_bug.cgi?id=880637
    Signed-off-by: Alon Bar-Lev <alonbl@redhat.com>

https://gerrit.eng.lab.tlv.redhat.com/#/c/3423/
Comment 3 Moran Goldboim 2012-11-27 09:59:22 EST
correction:

exit message should be (3.0->3.1 upgrade: no --force-upgrade):

The RHEV 3.0 to 3.1 upgrade process is a Technology Preview at this time
and is not supported for use with production environments.

If you would like to test upgrades in a non-production environment
please rerun with the --force-upgrade flag. Please note that a failed
upgrade may leave your environment unstable or impacted.

Please review this article for the Technology Preview support policy:
https://access.redhat.com/knowledge/solutions/21101." 

warning message should be (3.0->3.1 upgrade with --force-upgrade):

The RHEV 3.0 to 3.1 upgrade process is a Technology Preview at this time
and is not supported for use with production environments.

Please read the following knowledge article for known issue and updated
instructions before proceeding with the upgrade.

[ title of article here ]
https://access.redhat.com/knowledge/articles/269333

Are you sure you would like to continue? (y/n)
Comment 4 Alon Bar-Lev 2012-11-27 10:00:34 EST
Please notify me when discussion ends.
Comment 5 Moran Goldboim 2012-11-27 10:04:27 EST
warning message should be (3.0->3.1 upgrade with --force-upgrade):

The RHEV 3.0 to 3.1 upgrade process is a Technology Preview at this time
and is not supported for use with production environments.

Please read the following knowledge article for known issue and updated
instructions before proceeding with the upgrade.

[ Red Hat Enterprise Virtualization, Upgrade from version 3.0 to 3.1,  tips, consideration and roll-back issues ]
https://access.redhat.com/knowledge/articles/269333

Are you sure you would like to continue? (y/n)

Note You need to log in before you can comment on or make changes to this bug.